//
//  AppManager.swift
//  sample
//
//  Created by CITIZEN Watch Co.,Ltd on 2019/10/28.
//  Copyright © 2019 CITIZEN Watch Co.,Ltd. All rights reserved.
//

import Foundation
import UIKit

/// The class to manage providing the app infomation to Riiiver SDK..    -    RiiiverSDKで使用するアプリ情報を管理
class AppManager {
    // Singleton
    static let shared = AppManager()
    
    /// デバイスIDを取得する
    ///  Getter - Get the device model ID.
    /// - Returns: device model ID, デバイス(モデル)ID
    func getDeviceId() -> [String] {
        return ["Your Device ID Here!"]
    }
    
    /// ダウンロードするappletIDを取得する
    ///  Getter - Get the iiideas ID to be downloaded in advance.
    /// - Returns: iiidea ID
    func getDownloadAppletIds() -> [String] {
        return [""]
    }

    static let riiiverAuthUri = "https://builder.developer.riiiver.com/service_oauth/"

}
